package com.taais.biz.domain.bo;

import com.taais.biz.domain.TargetIdentificationSubtask;
import com.taais.common.orm.core.domain.BaseEntity;
import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 目标识别子任务业务对象 target_identification_subtask
 *
 * @author Allen
 * @date 2024-08-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = TargetIdentificationSubtask.class, reverseConvertGenerate = false)
public class DataAmplificationTaskBo extends BaseEntity{
    /**
     * 主键ID
     */
    @NotNull(message = "主键ID不能为空")
    private Long id;

    // 任务id
    private Long taskId;

    /**
     * 任务名称
     */
    @NotBlank(message = "任务名称不能为空")
    private String name;

    /**
     * 任务状态
     */
    @NotBlank(message = "任务状态不能为空")
    private String status;

    /**
     * 备注
     */
    @NotBlank(message = "备注不能为空")
    private String remarks;


}
